Subject: [Mip6] Re: RR enhancements (Was: Re: [Mipshop] MIPSHOP discussion on new items and milestones)

From: Samita Chakrabarti <[email-masked]>
Date: Mon, 21 Mar 2005 11:09:27 -0800 (PST)

Reposting this message on mip6 alias, since mipshop alias
is rejecting posting my message for some reason.

-Samita
------------- Begin Forwarded Message -------------

Date: Fri, 18 Mar 2005 19:37:12 -0800 (PST)
From: Samita Chakrabarti <[email-masked]>
Subject: Re: RR enhancements (Was: Re: [Mipshop] MIPSHOP discussion on new items 
and milestones)
To: [email-masked]
Cc: [email-masked], [email-masked]
Mime-Version: 1.0
Content-MD5: H9vFe36qBlVIHYdjZVGCjA==

Hi Jari,

> Thanks, but I may have to disappoint you! See, the problem is that
> people have different objectives. For instance, having a scheme
> that is blazingly fast may make voice over IP people happy. But
> people who wanted to save their battery life may not be happy
> with the resulting signaling. Or someone wants to setup a shared
> key between his laptop and home server may like his solution, but
> that might not satisfy others who want to use this stuff with a
> random web server in the Internet.
> 

Agree that one RR scheme may not fit all types of applications.
Thus we can have base RR and another optional RR scheme...

> Anyway, here's one suggestion that would perhaps make you
> happier. The EBU/CBA direction has been studied mainly in an
> attempt to make handoffs faster and to reduce latency. The
> technical solution boils down to a better way of performing the
> care-of address test. The OMIP/CGA direction has been studied
> mainly in an attempt to reduce signaling and to make handoffs
> faster. The technical solution boils down to a better way of
> performing the home address test.
> 

I have somewhat basic understanding on the two optional mechanisms you
mentioned. Based on that, IMHO, EBU/CBA mechanism seems simple and
practical and needs least amount of code change on top of
current RR scheme in the base OS. We have seen some of the
case studies on this method so far in mobopts - perhaps we need
to study more on the timing of stay at one place; CBA offers 
nice feature to delay the renewal of BU thus reducing traffic
unnecessarily and so the signaling.

Both scheme reduces handover delay compared to the base draft.

OMIP/CGA on the other hand may be useful for frequent movement
between cells - but it needs MN to send pre-binding msgs. How
much saving of signaling messages do we have here compared to the base RR ?
Also it sends CGA key, Extended sequence number options etc.. So, these
options carry extra bytes with regular BUs. 

Has any study been done comparing EBU/CBA and OMIP/CGA  in terms
of latency difference and handover advantage ?

With the data available, I am not sure if we need both drafts to be
standardized.  EBU/CBA seems to be a lot simpler from implementation
perspective if we compare the benefits of the two drafts.
However, CGA optionally can provide protection on the addresses.

So how about having EBU/CBA with optional CGA key exchange for
extra security ? If we can save Home address test exchange for
the handover - we can save time there.

Thanks,
-Samita

> This suggests potential way forward, as we realize that the
> two different approaches are complementary. If you use them
> together, we get a new "super RR" that keeps the original zero-config
> nature of zero-config RR but has less latency and less signaling.
> 
> I have high reliance that the basic schemes are solid, even if
> there's certainly work left for a number of I-D revision cycles.
> CGA has been around longer than base RR, and if you take
> all the advanced asymmetric flow stuff away from CBA, you get
> a very simple scheme.
> 

------------- End Forwarded Message -------------

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6